package org.diagbot.nlp.relation.extract.module;

import org.diagbot.nlp.relation.extract.cell.*;

/**
 * @ClassName org.diagbot.nlp.relation.extract.cell.Symptom
 * @Description TODO
 * @Author fyeman
 * @Date 2019/1/18/018 15:04
 * @Version 1.0
 **/
public class Symptom {
    private String symptomName;
    private Negative negative;

    private BodyPart  bodyPart;
    private Degree degree;
    private Cause cause;
    private Property property;
    private PD pd;
    private Factor factor;
    private Item item;
    private Desc desc;

    public String getSymptomName() {
        return symptomName;
    }

    public void setSymptomName(String symptomName) {
        this.symptomName = symptomName;
    }

    public Negative getNegative() {
        return negative;
    }

    public void setNegative(Negative negative) {
        this.negative = negative;
    }

    public BodyPart getBodyPart() {
        return bodyPart;
    }

    public void setBodyPart(BodyPart bodyPart) {
        this.bodyPart = bodyPart;
    }

    public Degree getDegree() {
        return degree;
    }

    public void setDegree(Degree degree) {
        this.degree = degree;
    }

    public Cause getCause() {
        return cause;
    }

    public void setCause(Cause cause) {
        this.cause = cause;
    }

    public Property getProperty() {
        return property;
    }

    public void setProperty(Property property) {
        this.property = property;
    }

    public PD getPd() {
        return pd;
    }

    public void setPd(PD pd) {
        this.pd = pd;
    }

    public Factor getFactor() {
        return factor;
    }

    public void setFactor(Factor factor) {
        this.factor = factor;
    }

    public Item getItem() {
        return item;
    }

    public void setItem(Item item) {
        this.item = item;
    }

    public Desc getDesc() {
        return desc;
    }

    public void setDesc(Desc desc) {
        this.desc = desc;
    }
}
